/**
 * JS for Audio Playlist
 */
jQuery(document).ready(function ($) {
  // Image Uploader Widget
  organicWidgetAudioPlaylist = {

    // Call this from the upload button to initiate the upload frame.
    uploader: function(widget_id, widget_id_string) {

      var frame = wp.media({
        title: OrganicWidgetAUDIO.frame_title,
        frame: 'post',
        multiple: true,
        library: { type: 'audio' },
        button: { text: OrganicWidgetAUDIO.button_title }
      })

      frame.on('close', function () {
        var attachments_arr = []
        var attachments_string = ''
        audio = frame.state().get('selection')
        audio.each(function(attachment) {
          attachments_arr.push(attachment.attributes.id);
        })
        attachments_string = attachments_arr.join(',')
        if (attachments_string) {
          $('#' + widget_id_string + 'audio_ids').val(attachments_string)
          $('#' + widget_id_string + 'audio_ids').trigger('change')
        }
      })

      frame.on('update', function () {
        var attachments_arr = []
        var attachments_string = ''
        audio = frame.state().get('library')
        audio.each(function(attachment) {
          attachments_arr.push(attachment.attributes.id);
        })
        attachments_string = attachments_arr.join(',')
        if (attachments_string) {
          $('#' + widget_id_string + 'audio_ids').val(attachments_string)
          $('#' + widget_id_string + 'audio_ids').trigger('change')
        }
      })

      frame.on('open', function () {
        var selection = frame.state().get('selection')
        var library = frame.state('gallery-edit').get('library')
        var ids_value = $('#' + widget_id_string + 'audio_ids').val()

        if (ids_value.length > 0) {
          var ids = ids_value.split(',')

          ids.forEach(function(id) {
            attachment = wp.media.attachment(id)
            attachment.fetch()
            selection.add(attachment ? [attachment] : [])
          })
          frame.setState('playlist-edit')
          ids.forEach(function(id) {
            attachment = wp.media.attachment(id)
            attachment.fetch()
            library.add(attachment ? [attachment] : [])
          })
        }
      })

      frame.open()

      return false
    }
  }
})
