/**
 * JS for Content Aligners
 */

(function ($) {
  'use strict'

  function contentAligner () {
    $('.organic-widgets-content-alignment-table td').unbind('click').click(function () {
      var selected = $(this).data('selected')
      var alignment = $(this).data('alignment')
      var aligner = $(this).closest('.organic-widgets-content-alignment')
      var alignmentInput = aligner.find('input')

      if (!selected) {
        alignmentInput.val(alignment)
        aligner.find('td').attr('data-selected', false)
        $(this).attr('data-selected', true)

        // Trigger change in preview window
        alignmentInput.trigger('change')
      }
    })
  }

  $(document).on('widget-added widget-updated', contentAligner)

  $(document).on('ready', function () {
    contentAligner()
    if (typeof wp.customize !== 'undefined') {
      wp.customize.state.bind('change', function () {
        contentAligner()
      })
      $('.customize-control-widget_form').unbind('click').click(function () {
        contentAligner()
      })
    }
  })
})(jQuery)
