<?php
/**
 * The Settings Page Content
 *
 * @package Organic Widgets Pro
 * @since Organic Widgets Pro 1.0
 */

?>

<?php $license = get_option( 'organic_widgets_pro_license_key' ); ?>
<?php $status = get_option( 'organic_widgets_pro_license_status' ); ?>

<div class="wrap">
	<h2><?php _e( 'Plugin License Options' ); ?></h2>
	<form method="post" action="options.php">

		<?php settings_fields( 'organic_widgets_pro_license' ); ?>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row" valign="top">
						<?php _e( 'License Key' ); ?>
					</th>
					<td>
						<input id="organic_widgets_pro_license_key" name="organic_widgets_pro_license_key" type="text" class="regular-text" value="<?php esc_attr_e( $license ); ?>" />
						<label class="description" for="organic_widgets_pro_license_key"><?php _e( 'Enter your license key' ); ?></label>
					</td>
				</tr>
				<?php if ( $license ) { ?>
					<tr valign="middle">
						<th scope="row" valign="top">
							<?php _e( 'Activate License' ); ?>
						</th>
						<td>
							<?php if ( false !== $status && 'valid' === $status ) { ?>
								<?php wp_nonce_field( 'organic_widgets_pro_nonce', 'organic_widgets_pro_nonce' ); ?>
								<input type="submit" class="button-secondary" name="organic_widgets_pro_license_deactivate" value="<?php _e( 'Deactivate License' ); ?>"/>
								<span style="display:inline-block;color:green;margin:4px 0px 0px 6px;"><?php _e( 'Active' ); ?></span>
								<?php
							} else {
								wp_nonce_field( 'organic_widgets_pro_nonce', 'organic_widgets_pro_nonce' );
								?>
								<input type="submit" class="button-secondary" name="organic_widgets_pro_license_activate" value="<?php _e( 'Activate License' ); ?>"/>
							<?php } ?>
						</td>
					</tr>
				<?php } ?>
			</tbody>
		</table>
		<?php submit_button(); ?>

	</form>
</div>
