( function( $ ) {
  'use strict';

  var cnt = 0;
  $('.organic-widgets-video-slideshow-section .organic-widgets-flexslider iframe[src*=youtube]').each(function() {
    // $(this).attr('id', 'youtubeplayer-' + cnt);
    $(this).addClass('yt-video');
    cnt++;
  });


  /* Flexslider ---------------------*/
  function flexSliderSetup() {

    var content_slider = $('.organic-widgets-content-slideshow-section .organic-widgets-flexslider');
    var image_slider = $('.organic-widgets-image-slideshow-section .organic-widgets-flexslider');
    var video_slider = $('.organic-widgets-video-slideshow-section .organic-widgets-flexslider');
    var testimonial_slider = $('.organic-widgets-testimonial-section .organic-widgets-flexslider');
    var vimeoPlayers = $('.organic-widgets-video-slideshow-section .organic-widgets-flexslider').find('iframe[src*="vimeo.com"]'), player;

    $('.organic-widgets-video-slideshow-section .flex-next, .organic-widgets-video-slideshow-section .flex-prev').click(function() {
      $('.yt-video').each(function(index) {
        $(this).attr('src', $(this).attr('src'));
        return false;
      });
    });

    for (var i = 0, length = vimeoPlayers.length; i < length; i++) {
      player = vimeoPlayers[i]
      $f(player).addEvent('ready', ready)
    }

    function addEvent(element, eventName, callback) {
      if (element.addEventListener) {
        element.addEventListener(eventName, callback, false)
      } else {
        element.attachEvent(eventName, callback, false);
      }
    }

    function ready(player_id) {
      var froogaloop = $f(player_id);
      froogaloop.addEvent('play', function(data) {
        video_slider.flexslider("pause");
      });
      froogaloop.addEvent('pause', function(data) {
        video_slider.flexslider("play");
      });
      froogaloop.addEvent('finish', function(data) {
        video_slider.flexslider("play");
      });
    }

    if ( ($).flexslider) {
      content_slider.flexslider({
        slideshowSpeed    : content_slider.attr('data-speed'),
        animationDuration : 800,
        animation         : content_slider.attr('data-transition'),
        video             : false,
        useCSS            : false,
        prevText          : '<i class="fa fa-angle-left"><span class="screen-reader-text">Previous Slide</span></i>',
        nextText          : '<i class="fa fa-angle-right"><span class="screen-reader-text">Next Slide</span></i>',
        touch             : false,
        controlNav        : false,
        animationLoop     : true,
        smoothHeight      : content_slider.attr('data-height'),
        pauseOnAction     : true,
        pauseOnHover      : true,
        itemWidth         : 320,
        itemMargin        : 0,
        maxItems          : content_slider.attr('data-per-slide'),
        minItems          : 1,

        start: function(content_slider) {
          content_slider.removeClass('loading');
          $('.preloader').hide();
          $(window).trigger('resize');
        },
        added: function(content_slider) {
          $(window).trigger('resize');
        }
      });
      image_slider.flexslider({
        slideshowSpeed    : image_slider.attr('data-speed'),
        animationDuration : 800,
        animation         : image_slider.attr('data-transition'),
        video             : false,
        useCSS            : false,
        prevText          : '<i class="fa fa-angle-left"><span class="screen-reader-text">Previous Slide</span></i>',
        nextText          : '<i class="fa fa-angle-right"><span class="screen-reader-text">Next Slide</span></i>',
        touch             : false,
        controlNav        : false,
        animationLoop     : true,
        smoothHeight      : true,
        pauseOnAction     : true,
        pauseOnHover      : true,

        start: function(image_slider) {
          image_slider.removeClass('loading');
          $('.preloader').hide();
          $(window).trigger('resize');
        },
        added: function(image_slider) {
          $(window).trigger('resize');
        }
      });
      video_slider.flexslider({
        slideshowSpeed    : video_slider.attr('data-speed'),
        animationDuration : 800,
        animation         : video_slider.attr('data-transition'),
        video             : true,
        useCSS            : false,
        prevText          : '<i class="fa fa-angle-left"><span class="screen-reader-text">Previous Slide</span></i>',
        nextText          : '<i class="fa fa-angle-right"><span class="screen-reader-text">Next Slide</span></i>',
        touch             : true,
        controlNav        : false,
        animationLoop     : true,
        smoothHeight      : true,
        pauseOnAction     : true,
        pauseOnHover      : true,

        before: function(video_slider) {
          $('.flex-active-slide .yt-video').each(function(index) {
            $(this).attr('src', $(this).attr('src'));
            return false;
          });
          if (video_slider.slides.eq(video_slider.currentSlide).find('iframe').length !== 0) {
            $f(video_slider.slides.eq(video_slider.currentSlide).find('iframe').attr('id')).api('pause');
          }
        },
        start: function(video_slider) {
          video_slider.removeClass('loading');
          $('.preloader').hide();
          $(window).trigger('resize');
        },
        added: function(video_slider) {
          $(window).trigger('resize');
        }
      });
      testimonial_slider.flexslider({
        slideshowSpeed    : 18000,
        animationDuration : 800,
        animation         : 'slide',
        video             : false,
        useCSS            : false,
        touch             : true,
        controlNav        : true,
        customDirectionNav: $(".testimonial-nav a"),
        animationLoop     : false,
        smoothHeight      : false,
        pauseOnAction     : true,
        pauseOnHover      : true,
        itemWidth         : 320,
        itemMargin        : 24,
        maxItems          : testimonial_slider.attr('data-per-slide'),
        minItems          : 1,

        start: function(testimonial_slider) {
          testimonial_slider.removeClass('loading');
          $( '.preloader' ).hide();
        }
      });
    }

  }

  // $(window).on('load', flexSliderSetup)
  $(document).ready(flexSliderSetup)
  $(window).on('resize', flexSliderSetup)
  $(document).ajaxComplete(flexSliderSetup)

})( jQuery );
