<?php
/**
 * This template is used to display the author page content.
 *
 * @package Organic Startup
 * @since Organic Startup 1.0
 */

?>

<!-- BEGIN .page-holder -->
<div class="page-holder">

	<!-- BEGIN .article -->
	<article class="article clearfix">

		<div class="author-avatar">
			<?php echo get_avatar( get_the_author_meta( 'user_email' ), 120 ); ?>
		</div>

		<?php if ( ! has_custom_header() ) { ?>

		<h1 class="entry-title"><?php echo esc_html( get_the_author() ); ?></h1>

		<br />

		<?php } ?>

		<?php $website = get_the_author_meta( 'user_url' ); ?>
		<?php if ( ! empty( $website ) ) : ?>
			<h6><?php esc_html_e( 'Website:', 'organic-startup' ); ?></h6>
			<p><a href="<?php echo esc_url( $website ); ?>" rel="bookmark" title="<?php esc_attr_e( 'Link to author page', 'organic-startup' ); ?>" target="_blank"><?php echo esc_url( $website ); ?></a></p>
		<?php endif; ?>

		<?php $description = get_the_author_meta( 'description' ); ?>
		<?php if ( ! empty( $description ) ) : ?>
			<h6><?php esc_html_e( 'Profile:', 'organic-startup' ); ?></h6>
			<p><?php echo wp_kses_post( $description ); ?></p>
		<?php endif; ?>

		<?php if ( have_posts() ) : ?>

		<h6><?php /* Translators: author link */ printf( esc_html__( 'Posts by %1$s:', 'organic-startup' ), get_the_author() ); ?></h6>

		<ul class="author-posts">
			<?php
			while ( have_posts() ) :
				the_post();
				?>
			<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
			<?php endwhile; ?>
		</ul>

		<br />

			<?php
			the_posts_pagination(
				array(
					'prev_text' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Previous Page', 'organic-startup' ) . ' </span>&laquo;',
					'next_text' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Next Page', 'organic-startup' ) . ' </span>&raquo;',
				)
			);
			?>

		<?php else : ?>
			<p><?php esc_html_e( 'No posts by this author.', 'organic-startup' ); ?></p>
		<?php endif; ?>

	<!-- END .article -->
	</article>

<!-- END .page-holder -->
</div>
