<?php
/**
 * This template is used to display the banner image on posts and pages.
 *
 * @package Organic Startup
 * @since Organic Startup 1.0
 */

?>

<?php $front_page = is_front_page() && ! is_page_template( 'template-home.php' ); ?>
<?php if ( wp_is_mobile() ) { ?>
	<?php $thumb = ( '' !== get_the_post_thumbnail() ) ? wp_get_attachment_image_src( get_post_thumbnail_id(), 'startup-featured-medium' ) : false; ?>
<?php } else { ?>
	<?php $thumb = ( '' !== get_the_post_thumbnail() ) ? wp_get_attachment_image_src( get_post_thumbnail_id(), 'startup-featured-large' ) : false; ?>
<?php } ?>

<?php if ( has_post_thumbnail() ) { ?>

	<!-- BEGIN .row -->
	<div class="row">

		<div class="feature-img banner-img" style="background-image: url(<?php echo esc_url( $thumb[0] ); ?>);">
			<?php if ( is_page() && 1 === get_theme_mod( 'display_img_title_page', '1' ) || is_single() && 1 === get_theme_mod( 'display_img_title_post', '1' ) ) { ?>
				<div class="img-title vertical-center">
					<h1 class="headline entry-title"><?php the_title(); ?></h1>
					<?php if ( ! empty( $post->post_excerpt ) ) { ?>
						<div class="excerpt"><?php the_excerpt(); ?></div>
					<?php } ?>
				</div>
			<?php } ?>
			<?php if ( wp_is_mobile() ) { ?>
				<?php the_post_thumbnail( 'startup-featured-medium' ); ?>
			<?php } else { ?>
				<?php the_post_thumbnail( 'startup-featured-large' ); ?>
			<?php } ?>
		</div>

	<!-- END .row -->
	</div>

<?php } elseif ( $front_page && is_page() && has_custom_header() ) { ?>

	<!-- BEGIN .row -->
	<div class="row">

		<div class="feature-img banner-img" <?php if ( ! empty( $header_image ) ) { ?> style="background-image: url(<?php header_image(); ?>);"<?php } ?>>
			<?php if ( 1 === get_theme_mod( 'display_img_title_page', '1' ) ) { ?>
			<div class="img-title vertical-center">
				<h1 class="headline"><?php the_title(); ?></h1>
			</div>
			<?php } ?>
			<?php the_custom_header_markup(); ?>
		</div>

	<!-- END .row -->
	</div>

<?php } ?>
