<?php
/**
 * This content part displays project content, and is pulled from single-jetpack-portfolio.php.
 *
 * @package Organic Startup
 * @since Organic Startup 1.0
 */

?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

<!-- BEGIN .post-holder -->
<div class="post-holder">

	<!-- BEGIN .article -->
	<article class="article clearfix">

		<h1 class="text-center"><?php the_title(); ?></h1>

		<?php the_content( esc_html__( 'Read More', 'organic-startup' ) ); ?>

		<?php wp_link_pages(array(
			'before' => '<p class="page-links"><span class="link-label">' . esc_html__( 'Pages:', 'organic-startup' ) . '</span>',
			'after' => '</p>',
			'link_before' => '<span>',
			'link_after' => '</span>',
			'next_or_number' => 'next_and_number',
			'nextpagelink' => esc_html__( 'Next', 'organic-startup' ),
			'previouspagelink' => esc_html__( 'Previous', 'organic-startup' ),
			'pagelink' => '%',
			'echo' => 1,
			)
		); ?>

	<!-- END .article -->
	</article>

<!-- END .post-holder -->
</div>

<?php if ( comments_open() || '0' != get_comments_number() ) { comments_template(); } ?>

<?php endwhile; else : ?>

<!-- BEGIN .post-holder -->
<div class="post-holder">

	<!-- BEGIN .article -->
	<article class="article clearfix">

		<div class="error-404">
			<h1><?php esc_html_e( 'No Project Found', 'organic-startup' ); ?></h1>
			<p><?php esc_html_e( "We're sorry, but the project was not found.", 'organic-startup' ); ?></p>
		</div>

	<!-- END .article -->
	</article>

<!-- END .post-holder -->
</div>

<?php endif; ?>
