<?php
/**
 * This template displays single post content for the testimonial CPT.
 *
 * @package Organic Startup
 * @since Organic Startup 1.0
 */

get_header(); ?>

<?php $thumb = ( has_post_thumbnail() ) ? wp_get_attachment_image_src( get_post_thumbnail_id(), 'startup-featured-square' ) : false; ?>

<!-- BEGIN .post class -->
<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">

	<!-- BEGIN .row -->
	<div class="row">

		<!-- BEGIN .content -->
		<div class="content">

			<!-- BEGIN .four columns -->
			<div class="four columns">

				<div class="sidebar left">

					<?php if ( has_post_thumbnail() ) { ?>
						<div class="feature-img banner-img profile-img" style="background-image: url(<?php echo esc_url( $thumb[0] ); ?>);">
							<span class="hide-img"><?php the_post_thumbnail( 'startup-featured-square' ); ?></span>
						</div>
					<?php } ?>

					<?php if ( is_active_sidebar( 'sidebar-1' ) ) { ?>
						<div class="testimonial-widgets">
							<?php dynamic_sidebar( 'sidebar-1' ); ?>
						</div>
					<?php } ?>

				</div>

			<!-- END .four columns -->
			</div>

			<!-- BEGIN .twelve columns -->
			<div class="twelve columns">

				<!-- BEGIN .post-area right -->
				<div class="post-area right">

					<?php get_template_part( 'jetpack/loop', 'testimonial' ); ?>

				<!-- END .post-area right -->
				</div>

			<!-- END .twelve columns -->
			</div>

		<!-- END .content -->
		</div>

	<!-- END .row -->
	</div>

<!-- END .post class -->
</div>

<?php get_footer(); ?>
