<?php

/*
-----------------------------------------------------------------------------------------------------
	Theme License and Updater
-----------------------------------------------------------------------------------------------------
*/

// Includes the files needed for the theme updater.
if ( ! class_exists( 'EDD_Theme_Updater_Admin' ) ) {
	include dirname( __FILE__ ) . '/theme-updater-admin.php';
}

// Loads the updater classes.
$updater = new EDD_Theme_Updater_Admin(
	// Config settings.
	$config = array(
		'remote_api_url' => 'https://organicthemes.com', // Site where EDD is hosted.
		'item_name'      => 'Startup Theme', // Name of theme.
		'theme_slug'     => 'organic-startup', // Theme slug.
		'version'        => '1.7.5', // The current version of this theme.
		'author'         => 'Organic Themes', // The author of this theme.
		'download_id'    => '314646', // Optional, used for generating a license renewal link.
		'renew_url'      => '', // Optional, allows for a custom license renewal link.
	),
	// Strings.
	$strings = array(
		'theme-license'             => __( 'Theme License', 'organic-startup' ),
		'enter-key'                 => __( 'Enter your theme license key.', 'organic-startup' ),
		'license-key'               => __( 'License Key', 'organic-startup' ),
		'license-action'            => __( 'License Action', 'organic-startup' ),
		'deactivate-license'        => __( 'Deactivate License', 'organic-startup' ),
		'activate-license'          => __( 'Activate License', 'organic-startup' ),
		'status-unknown'            => __( 'License status is unknown.', 'organic-startup' ),
		'renew'                     => __( 'Renew?', 'organic-startup' ),
		'unlimited'                 => __( 'unlimited', 'organic-startup' ),
		'license-key-is-active'     => __( 'License key is active.', 'organic-startup' ),
		'expires%s'                 => __( 'Expires %s.', 'organic-startup' ),
		'%1$s/%2$-sites'            => __( 'You have %1$s / %2$s sites activated.', 'organic-startup' ),
		'license-key-expired-%s'    => __( 'License key expired %s.', 'organic-startup' ),
		'license-key-expired'       => __( 'License key has expired.', 'organic-startup' ),
		'license-keys-do-not-match' => __( 'License keys do not match.', 'organic-startup' ),
		'license-is-inactive'       => __( 'License is inactive.', 'organic-startup' ),
		'license-key-is-disabled'   => __( 'License key is disabled.', 'organic-startup' ),
		'site-is-inactive'          => __( 'Site is inactive.', 'organic-startup' ),
		'license-status-unknown'    => __( 'License status is unknown.', 'organic-startup' ),
		'update-notice'             => __( "Updating this theme will lose any customizations you have made. 'Cancel' to stop, 'OK' to update.", 'organic-startup' ),
		'update-available'          => __( '<strong>%1$s %2$s</strong> is available. <a href="%3$s" class="thickbox" title="%4s">Check out what\'s new</a> or <a href="%5$s"%6$s>update now</a>.', 'organic-startup' ),
	)
);
